Users

Get User by Username

GET
/users/{username}/name

Get public user information about a specific user using their name.

VRChat no longer returns the usernames of other users, and this endpoint now requires admin credentials. See issue by Tupper for more information.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

username*string

Username of the user

Response Body

application/json

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/users/string/name"
{
  "acceptedPrivacyVersion": 0,
  "acceptedTOSVersion": 0,
  "accountDeletionDate": "string",
  "accountDeletionLog": [
    null
  ],
  "ageVerificationStatus": "18+",
  "ageVerified": true,
  "allowAvatarCopying": true,
  "appleDetails": {},
  "badges": [
    {
      "assignedAt": "2019-08-24T14:15:22Z",
      "badgeDescription": "string",
      "badgeId": "bdg_a60e514a-8cb7-4702-8f24-2786992be1a8",
      "badgeImageUrl": "string",
      "badgeName": "string",
      "hidden": true,
      "isQuantifiable": true,
      "showcased": true,
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "bannerColor": "string",
  "bannerType": "string",
  "bannerUrl": "string",
  "bio": "string",
  "bioLinks": [
    "string"
  ],
  "currentAvatarImageUrl": "https://api.vrchat.cloud/api/1/file/file_ae46d521-7281-4b38-b365-804b32a1d6a7/1/file",
  "currentAvatarTags": [
    "string"
  ],
  "currentAvatarThumbnailImageUrl": "https://api.vrchat.cloud/api/1/image/file_aae83ed9-d42d-4d72-9f4b-9f1e41ed17e1/1/256",
  "date_joined": "2019-08-24",
  "developerType": "internal",
  "displayName": "string",
  "friendKey": "string",
  "friendRequestStatus": "null",
  "iconFrame": "string",
  "iconUrl": "string",
  "id": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
  "instanceId": "12345~hidden(usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469)~region(eu)~nonce(27e8414a-59a0-4f3d-af1f-f27557eb49a2)",
  "isEconomyCreator": true,
  "isFriend": true,
  "last_activity": "string",
  "last_login": "string",
  "last_mobile": "string",
  "last_platform": "standalonewindows",
  "location": "wrld_4432ea9b-729c-46e3-8eaf-846aa0a37fdd:12345~hidden(usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469)~region(eu)~nonce(27e8414a-59a0-4f3d-af1f-f27557eb49a2)",
  "nameplateEffect": "string",
  "note": "string",
  "platform": "string",
  "profileEffect": "string",
  "profilePicOverride": "string",
  "profilePicOverrideThumbnail": "string",
  "pronouns": "string",
  "state": "active",
  "status": "active",
  "statusDescription": "string",
  "tags": [
    "string"
  ],
  "travelingToInstance": "string",
  "travelingToLocation": "string",
  "travelingToWorld": "string",
  "userIcon": "string",
  "worldId": "wrld_4432ea9b-729c-46e3-8eaf-846aa0a37fdd"
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}
{
  "error": {
    "message": "\"Invalid Admin Credentials\"",
    "status_code": 403
  }
}